/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

$("#gif").hide();
$("#contenedorSemestre").hide();
$("#contenedorCuatrimestre").hide();

$("#modalidad").change(function () {
    $valor = $(this).val();
    if ($valor == 1) {
        $("#contenedorCuatrimestre").hide();
        $("#contenedorSemestre").show();
    } else {
        $("#contenedorSemestre").hide();
        $("#contenedorCuatrimestre").show()
    }
});

var listaAlumnos = []

$("#semestre").change(function () {
    $ideLic = $("#licenciatura").val();
    $numSemestre = $("#semestre").val();
    //console.log("C: " + $numSemestre);
    document.getElementById('contenedorLista').innerHTML = "";
    if ($ideLic === "default" || $numSemestre <= 0 || $numSemestre == "default") {
        swal("", "Faltan datos: *Licenciatura o Semestre", "warning");
        document.getElementById("contenedorGruposAlumno").innerHTML = "";
    } else {
        listaAlumnos = [];
        cargarGruposAlumnos($ideLic, $numSemestre, 1);
        //cargarGrupos($ideLic, $numSemestre, 1);
    }
});
$("#cuatrimestre").change(function () {
    $ideLic = $("#licenciatura").val();
    $numCuatrimestre = $("#cuatrimestre").val();
    //console.log("C: " + $numCuatrimestre);
    document.getElementById('contenedorLista').innerHTML = "";
    if ($ideLic === "default" || $numCuatrimestre <= 0 || $numCuatrimestre == "default") {
        swal("", "Faltan datos: *Licenciatura o Cuatrimestre", "warning");
        document.getElementById("contenedorGruposAlumno").innerHTML = "";
    } else {
        listaAlumnos = [];
        cargarGruposAlumnos($ideLic, $numCuatrimestre, 0);
        //cargarGrupos($ideLic, $numCuatrimestre, 0);

    }
});

/*$("#licenciatura").change(function () {
 if ($(this).val() != "default") {
 var idLic = $(this).val();
 listaAlumnos = [];
 cargarGruposAlumnos(idLic);
 }
 });
 */
$("#btnRecargar").click(function () {
    $ideLic = $("#licenciatura").val();
    $valor = $("#modalidad").val();
    document.getElementById('contenedorLista').innerHTML = "";
    if ($valor == 1) {
        $numero = $("#semestre").val();
    } else {
        $numero = $("#cuatrimestre").val();
    }

    //console.log("C: " + $numCuatrimestre);
    if ($ideLic === "default" || $numero <= 0 || $numero == "default") {
        swal("", "Faltan datos: *Licenciatura o Cuatrimestre", "warning");
        document.getElementById("contenedorGruposAlumno").innerHTML = "";
    } else {
        listaAlumnos = [];
        cargarGruposAlumnos($ideLic, $numero, 0);
        //cargarGrupos($ideLic, $numCuatrimestre, 0);

    }
});

$("#btnAgregar").click(function () {
    if (document.getElementById('grupo').value === "default" | listaAlumnos.length === 0) {
        swal("", "FALTA SELECCIONAR GRUPO O ALUMNOS", "warning");
    } else {
        var ideGrupo = document.getElementById('grupo').value;
        crearRelacion(ideGrupo, listaAlumnos);
    }
});

function agregar(id) {
    if (document.getElementById(id).checked) {
        listaAlumnos.push(id);
    } else {
        var i = listaAlumnos.indexOf(id);

        if (i !== -1) {
            listaAlumnos.splice(i, 1);
        }
    }
}

function buscar(val) {
    if (val != "default") {
        $.ajax({
            // la URL para la petición
            url: '/ControlCeepam/web/app_dev.php/grupos-buscar',
            // la información a enviar
            // (también es posible utilizar una cadena de datos)
            data: {ideGru: val},
            // especifica si será una petición POST o GET
            type: 'POST',
            // el tipo de información que se espera de respuesta
            dataType: 'html',
            // código a ejecutar si la petición es satisfactoria;
            // la respuesta es pasada como argumento a la función
            beforeSend: function () {
                document.getElementById("contenedorLista").innerHTML = '<i class="fa fa-pulse fa-spinner"></i> Cargando Datos';
            },
            success: function (respuesta) {
                //alert("Correcto");
                document.getElementById("contenedorLista").innerHTML = respuesta;
            },
            // código a ejecutar si la petición falla;
            // son pasados como argumentos a la función
            // el objeto de la petición en crudo y código de estatus de la petición
            error: function (xhr, status) {
                alert('Disculpe, existió un problema');
                document.getElementById("contenedorLista").innerHTML = "";
            },

            // código a ejecutar sin importar si la petición falló o no
            complete: function (xhr, status) {
                //alert('Petición realizada');
            }
        });
    }
}

function crearRelacion(ideGru, listaA) {
    $.ajax({
        // la URL para la petición
        url: '/ControlCeepam/web/app_dev.php/grupos-asignar',
        // la información a enviar
        // (también es posible utilizar una cadena de datos)
        data: {ideGru: ideGru, lA: listaA},
        // especifica si será una petición POST o GET
        type: 'POST',
        // el tipo de información que se espera de respuesta
        dataType: 'html',
        // código a ejecutar si la petición es satisfactoria;
        // la respuesta es pasada como argumento a la función
        beforeSend: function () {
            $("#gif").show();
        },
        success: function (respuesta) {
            //alert("Correcto");
            document.getElementById("contenedorLista").innerHTML = respuesta;
            $("#gif").hide();
        },
        // código a ejecutar si la petición falla;
        // son pasados como argumentos a la función
        // el objeto de la petición en crudo y código de estatus de la petición
        error: function (xhr, status) {
            alert('Disculpe, existió un problema');
            $("#gif").hide();
        },

        // código a ejecutar sin importar si la petición falló o no
        complete: function (xhr, status) {
            //alert('Petición realizada');
        }
    });
} // crearRelacion

function cargarGruposAlumnos(idLic, numero, bandera) {
    $.ajax({
        // la URL para la petición
        url: '/ControlCeepam/web/app_dev.php/grupos-cargar-alu',
        // la información a enviar
        // (también es posible utilizar una cadena de datos)
        data: {idLic: idLic, numero: numero, bandera: bandera},
        // especifica si será una petición POST o GET
        type: 'POST',
        // el tipo de información que se espera de respuesta
        dataType: 'html',
        // código a ejecutar si la petición es satisfactoria;
        // la respuesta es pasada como argumento a la función
        beforeSend: function () {

            document.getElementById("contenedorGruposAlumno").innerHTML = '<i class="fa fa-pulse fa-spinner"></i>';
        },
        success: function (respuesta) {
            //alert("Correcto");
            document.getElementById("contenedorGruposAlumno").innerHTML = respuesta;
            //$("#gif").hide();
        },
        // código a ejecutar si la petición falla;
        // son pasados como argumentos a la función
        // el objeto de la petición en crudo y código de estatus de la petición
        error: function (xhr, status) {
            alert('Disculpe, existió un problema');
            document.getElementById("contenedorGruposAlumno").innerHTML = "X|";
            //$("#gif").hide();
        },

        // código a ejecutar sin importar si la petición falló o no
        complete: function (xhr, status) {
            //alert('Petición realizada');
        }
    });
} // cargarGruposAlumnos